!
!  memory_layout.f90
!
! Memory layout module
!
module memory_layout
    implicit none

!--------------------------------
    type coef  
! Name
      character (len=80) :: name
! Type 
      character (len=8) :: type
! Length
      integer :: length
! Pointer
      integer :: ptr 
    end type coef

!--------------------------------
    type physics  
! Name
      character (len=80) :: name
! Type 
      character (len=8) :: type
! Length
      integer :: length
! Pointer
      integer :: ptr 
    end type physics

!--------------------------------
    type task  
! Name
      character (len=80) :: name
! Type 
      character (len=8) :: type
! Length
      integer :: length
! Pointer
      integer :: ptr 
    end type task

!--------------------------------
    type cell  
! Name
      character (len=80) :: name
! Type 
      character (len=8) :: type
! Length
      integer :: length
! Pointer
      integer :: ptr  
    end type cell

!--------------------------------
    type interface  
! Name
      character (len=80) :: name
! Type 
      character (len=8) :: type
! Length
      integer :: length
! Pointer
      integer :: ptr
    end type interface
    
end module memory_layout    